Package com.verisign.epp.codec.contact

## Class EPPContactDisclose

- java.lang.Object
- - com.verisign.epp.codec.contact.EPPContactDisclose

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPContactDisclose
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a contact disclose definition.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ATTR_FLAG_FALSE` | Deprecated. Flag should not be get or set via a `String`.
    `static java.lang.String` | `ATTR_FLAG_TRUE` | Deprecated. Flag should not be get or set via a `String`.
    `static java.lang.String` | `ATTR_TYPE_INT` | Value of the INT in contact disclose type mapping
    `static java.lang.String` | `ATTR_TYPE_LOC` | Value of the LOC in contact disclose type mapping
    `static java.lang.String` | `ELM_LOCALNAME` | Constant for disclose local name
    `static java.lang.String` | `ELM_NAME` | Constant for the disclose full name

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPContactDisclose()` | `EPPContactDisclose` default constructor.
    `EPPContactDisclose​(boolean aFlag, boolean aNameInt, boolean aNameLoc, boolean aOrgInt, boolean aOrgLoc, boolean aAddrInt, boolean aAddrLoc, boolean aVoice, boolean aFax, boolean aEmail)` | `EPPContactDisclose` constructor that takes all of the disclose settings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPContactDisclose`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the `EPPContactDisclose` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPContactDisclose` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPContactDisclose` compare.
    `java.util.Vector` | `getAddresses()` | Deprecated. Use `isAddrInt()` and `isAddrLoc()` instead.
    `java.lang.String` | `getEmail()` | Deprecated. Use `isEmail()` instead.
    `java.lang.String` | `getFax()` | Deprecated. Use `isFax()` instead.
    `java.lang.String` | `getFlag()` | Deprecated.
    `java.util.Vector` | `getNames()` | Deprecated. Use `isNameInt()` and `isNameLoc()` instead.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.Vector` | `getOrgs()` | Deprecated. Use `isOrgInt()` and `isOrgLoc()` instead.
    `java.lang.String` | `getRootName()` | Gets the root tag name for the disclose.
    `java.lang.String` | `getVoice()` | Deprecated. Use `isVoice()` instead.
    `boolean` | `isAddrInt()` | Is the internationalized addr element set?
    `boolean` | `isAddrLoc()` | Is the localized addr element set?
    `boolean` | `isAll()` | Are all of the disclose elements set?
    `boolean` | `isAllInt()` | Are all of the internationalized disclose elements set?
    `boolean` | `isAllLoc()` | Are all of the localized disclose elements set?
    `boolean` | `isAllOther()` | Are all of the other (voice, fax, email) disclose elements set?
    `boolean` | `isEmail()` | Is the email element set?
    `boolean` | `isFax()` | Is the fax element set?
    `boolean` | `isFlag()` | Is the disclose flag set to `true`?
    `boolean` | `isNameInt()` | Is the internationalized name element set?
    `boolean` | `isNameLoc()` | Is the localized name element set?
    `boolean` | `isOrgInt()` | Is the internationalized org element set?
    `boolean` | `isOrgLoc()` | Is the localized org element set?
    `boolean` | `isVoice()` | Is the voice element set?
    `void` | `setAddresses​(java.util.Vector aAddresses)` | Deprecated. Use `setAddrInt(boolean)` and `setAddrLoc(boolean)` instead.
    `void` | `setAddrInt​(boolean aAddrInt)` | Set to include the internationalized addr element.
    `void` | `setAddrLoc​(boolean aAddrLoc)` | Set to include the localized addr element.
    `void` | `setAll()` | Set all of the disclose elements to `true`.
    `void` | `setAllInt()` | Set all of the internationalized disclose elements to `true`.
    `void` | `setAllLoc()` | Set all of the localized disclose elements to `true`.
    `void` | `setAllOther()` | Set all of the other (voice, fax, email) disclose elements to `true`.
    `void` | `setEmail​(boolean aEmail)` | Set to include the email element.
    `void` | `setEmail​(java.lang.String aEmail)` | Deprecated. Use `setEmail(boolean)` instead.
    `void` | `setFax​(boolean aFax)` | Set to include the fax element.
    `void` | `setFax​(java.lang.String aFax)` | Deprecated. Use `setFax(boolean)` instead.
    `void` | `setFlag​(boolean aFlag)` | Sets the contact disclose flag.
    `void` | `setFlag​(java.lang.String aFlag)` | Deprecated. Use `setFlag(boolean)` instead.
    `void` | `setNameInt​(boolean aNameInt)` | Set to include the internationalized name element.
    `void` | `setNameLoc​(boolean aNameLoc)` | Set to include the localized name element.
    `void` | `setNames​(java.util.Vector aNames)` | Deprecated. Use `setNameInt(boolean)` and `setNameLoc(boolean)` instead.
    `void` | `setOrgInt​(boolean aOrgInt)` | Set to include the internationalized org element.
    `void` | `setOrgLoc​(boolean aOrgInt)` | Set to include the localized org element.
    `void` | `setOrgs​(java.util.Vector aOrgs)` | Deprecated. Use `setOrgInt(boolean)` and `setOrgLoc(boolean)` instead.
    `void` | `setRootName​(java.lang.String aRootName)` | Set root tag name for contact postal definition.
    `void` | `setVoice​(boolean aVoice)` | Set to include the voice element.
    `void` | `setVoice​(java.lang.String aVoice)` | Deprecated. Use `setVoice(boolean)` instead.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ATTR_FLAG_FALSE

          @Deprecated
          public static final java.lang.String ATTR_FLAG_FALSE

      Deprecated.
      Flag should not be get or set via a `String`.
      False flag string value.
      See Also:
        Constant Field Values

    - #### ATTR_FLAG_TRUE

          @Deprecated
          public static final java.lang.String ATTR_FLAG_TRUE

      Deprecated.
      Flag should not be get or set via a `String`.
      True flag string value.
      See Also:
        Constant Field Values

    - #### ATTR_TYPE_INT

          public static final java.lang.String ATTR_TYPE_INT

      Value of the INT in contact disclose type mapping
      See Also:
        Constant Field Values

    - #### ATTR_TYPE_LOC

          public static final java.lang.String ATTR_TYPE_LOC

      Value of the LOC in contact disclose type mapping
      See Also:
        Constant Field Values

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for disclose local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the disclose full name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPContactDisclose

          public EPPContactDisclose()

      `EPPContactDisclose` default constructor. Must call required setter methods before invoking `encode(Document)`.

    - #### EPPContactDisclose

          public EPPContactDisclose​(boolean aFlag,
                                    boolean aNameInt,
                                    boolean aNameLoc,
                                    boolean aOrgInt,
                                    boolean aOrgLoc,
                                    boolean aAddrInt,
                                    boolean aAddrLoc,
                                    boolean aVoice,
                                    boolean aFax,
                                    boolean aEmail)

      `EPPContactDisclose` constructor that takes all of the disclose settings. All of the parameters except for the `aFlag` parameter will include the element if the `boolean` value is `true` and won't if the `boolean` value is `false`.
      Parameters:
        `aFlag` - Disclosure flag
        `aNameInt` - Include the internalized name element in the disclose?
        `aNameLoc` - Include the localized name element in the disclose?
        `aOrgInt` - Include the internationalized org element in the disclose?
        `aOrgLoc` - Include the localized org element in the disclose?
        `aAddrInt` - Include the internationalized address element in the disclose?
        `aAddrLoc` - Include the localized address element in the disclose?
        `aVoice` - Include the voice element in the disclose?
        `aFax` - Include the fax element in the disclose?
        `aEmail` - Include the email element in the disclose?

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPContactDisclose`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPContactDisclose`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPContactDisclose` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPContactDisclose` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPContactDisclose` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - On encoding error

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPContactDisclose` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPContactDisclose` instance to compare with
      Returns:
        `true` if equal; `false` otherwise

    - #### getAddresses

          @Deprecated
          public java.util.Vector getAddresses()

      Deprecated.
      Use `isAddrInt()` and `isAddrLoc()` instead.
      Get contact disclose addresses.
      Returns:
        `Vector` of `EPPContactDiscloseAddress` instances if at least one address is set; `null` otherwise.

    - #### getEmail

          @Deprecated
          public java.lang.String getEmail()

      Deprecated.
      Use `isEmail()` instead.
      Gets the contact disclose email.
      Returns:
        Empty `String` if set; `null` otherwise.

    - #### getFax

          @Deprecated
          public java.lang.String getFax()

      Deprecated.
      Use `isFax()` instead.
      Gets the contact disclose fax.
      Returns:
        Empty `String` if set; `null` otherwise.

    - #### getFlag

          @Deprecated
          public java.lang.String getFlag()

      Deprecated.
      Gets the disclose flag.
      Returns:
        `ATTR_FLAG_TRUE` if `true`; `ATTR_FLAG_FALSE` otherwise.

    - #### getNames

          @Deprecated
          public java.util.Vector getNames()

      Deprecated.
      Use `isNameInt()` and `isNameLoc()` instead.
      Get contact disclose names.
      Returns:
        `Vector` of `EPPContactDiscloseName` instances if at least one name is set; `null` otherwise.

    - #### getOrgs

          @Deprecated
          public java.util.Vector getOrgs()

      Deprecated.
      Use `isOrgInt()` and `isOrgLoc()` instead.
      Get contact disclose orgs.
      Returns:
        `Vector` of `EPPContactDiscloseOrg` instances if at least one org is set; `null` otherwise.

    - #### getRootName

          public java.lang.String getRootName()

      Gets the root tag name for the disclose.
      Returns:
        Root tag name

    - #### getVoice

          @Deprecated
          public java.lang.String getVoice()

      Deprecated.
      Use `isVoice()` instead.
      Gets the contact disclose voice.
      Returns:
        Empty `String` if set; `null` otherwise.

    - #### isAddrInt

          public boolean isAddrInt()

      Is the internationalized addr element set?
      Returns:
        `true` if the internationalized addr element is set; `false` otherwise.

    - #### isAddrLoc

          public boolean isAddrLoc()

      Is the localized addr element set?
      Returns:
        `true` if the localized addr element is set; `false` otherwise.

    - #### isAll

          public boolean isAll()

      Are all of the disclose elements set?
      Returns:
        `true` if all of the disclose elements are set; `false` otherwise.

    - #### isAllInt

          public boolean isAllInt()

      Are all of the internationalized disclose elements set?
      Returns:
        `true` if all of the internationalized disclose elements are set; `false` otherwise.

    - #### isAllLoc

          public boolean isAllLoc()

      Are all of the localized disclose elements set?
      Returns:
        `true` if all of the localized disclose elements are set; `false` otherwise.

    - #### isAllOther

          public boolean isAllOther()

      Are all of the other (voice, fax, email) disclose elements set?
      Returns:
        `true` if all of the other (voice, fax, email) disclose elements are set; `false` otherwise.

    - #### isEmail

          public boolean isEmail()

      Is the email element set?
      Returns:
        `true` if the email element is set; `false` otherwise.

    - #### isFax

          public boolean isFax()

      Is the fax element set?
      Returns:
        `true` if the fax element is set; `false` otherwise.

    - #### isFlag

          public boolean isFlag()

      Is the disclose flag set to `true`?
      Returns:
        `true` if the disclose flag is set to `true` ; `false` otherwise.

    - #### isNameInt

          public boolean isNameInt()

      Is the internationalized name element set?
      Returns:
        `true` if the internationalized name element is set; `false` otherwise.

    - #### isNameLoc

          public boolean isNameLoc()

      Is the localized name element set?
      Returns:
        `true` if the localized name element is set; `false` otherwise.

    - #### isOrgInt

          public boolean isOrgInt()

      Is the internationalized org element set?
      Returns:
        `true` if the internationalized org element is set; `false` otherwise.

    - #### isOrgLoc

          public boolean isOrgLoc()

      Is the localized org element set?
      Returns:
        `true` if the localized org element is set; `false` otherwise.

    - #### isVoice

          public boolean isVoice()

      Is the voice element set?
      Returns:
        `true` if the voice element is set; `false` otherwise.

    - #### setAddresses

          @Deprecated
          public void setAddresses​(java.util.Vector aAddresses)

      Deprecated.
      Use `setAddrInt(boolean)` and `setAddrLoc(boolean)` instead.
      Sets the contact disclose addresses.
      Parameters:
        `aAddresses` - `Vector` of `EPPContactDiscloseAddress` instances to set.

    - #### setAddrInt

          public void setAddrInt​(boolean aAddrInt)

      Set to include the internationalized addr element. If `true` the element will be included in the disclose.
      Parameters:
        `aAddrInt` - `true` to include the internationalized addr; `false` otherwise.

    - #### setAddrLoc

          public void setAddrLoc​(boolean aAddrLoc)

      Set to include the localized addr element. If `true` the element will be included in the disclose.
      Parameters:
        `aAddrLoc` - `true` to include the localized addr; `false` otherwise.

    - #### setAll

          public void setAll()

      Set all of the disclose elements to `true`.

    - #### setAllInt

          public void setAllInt()

      Set all of the internationalized disclose elements to `true`.

    - #### setAllLoc

          public void setAllLoc()

      Set all of the localized disclose elements to `true`.

    - #### setAllOther

          public void setAllOther()

      Set all of the other (voice, fax, email) disclose elements to `true`.

    - #### setEmail

          public void setEmail​(boolean aEmail)

      Set to include the email element. If `true` the element will be included in the disclose.
      Parameters:
        `aEmail` - `true` to include the email; `false` otherwise.

    - #### setEmail

          @Deprecated
          public void setEmail​(java.lang.String aEmail)

      Deprecated.
      Use `setEmail(boolean)` instead.
      Sets the contact disclose email.
      Parameters:
        `aEmail` - `null` to set email element to `false`; otherwise set email element to `true`.

    - #### setFax

          public void setFax​(boolean aFax)

      Set to include the fax element. If `true` the element will be included in the disclose.
      Parameters:
        `aFax` - `true` to include the fax; `false` otherwise.

    - #### setFax

          @Deprecated
          public void setFax​(java.lang.String aFax)

      Deprecated.
      Use `setFax(boolean)` instead.
      Sets the contact disclose fax.
      Parameters:
        `aFax` - `null` to set fax element to `false`; otherwise set fax element to `true`.

    - #### setFlag

          public void setFlag​(boolean aFlag)

      Sets the contact disclose flag.
      Parameters:
        `aFlag` - `true` to allow disclosure as an exception to the stated data-collection policy; `false` to not allow disclosure of the specified elements as an exception to the stated data-collection policy.

    - #### setFlag

          @Deprecated
          public void setFlag​(java.lang.String aFlag)

      Deprecated.
      Use `setFlag(boolean)` instead.
      Sets the contact disclose flag.
      Parameters:
        `aFlag` - `ATTR_FLAG_TRUE` if `true` and `ATTR_FLAG_FALSE` if `false`.

    - #### setNameInt

          public void setNameInt​(boolean aNameInt)

      Set to include the internationalized name element. If `true` the element will be included in the disclose.
      Parameters:
        `aNameInt` - `true` to include the internationalized name; `false` otherwise.

    - #### setNameLoc

          public void setNameLoc​(boolean aNameLoc)

      Set to include the localized name element. If `true` the element will be included in the disclose.
      Parameters:
        `aNameLoc` - `true` to include the localized name; `false` otherwise.

    - #### setNames

          @Deprecated
          public void setNames​(java.util.Vector aNames)

      Deprecated.
      Use `setNameInt(boolean)` and `setNameLoc(boolean)` instead.
      Sets the contact disclose names.
      Parameters:
        `aNames` - `Vector` of `EPPContactDiscloseName` instances to set.

    - #### setOrgInt

          public void setOrgInt​(boolean aOrgInt)

      Set to include the internationalized org element. If `true` the element will be included in the disclose.
      Parameters:
        `aOrgInt` - `true` to include the internationalized org; `false` otherwise.

    - #### setOrgLoc

          public void setOrgLoc​(boolean aOrgInt)

      Set to include the localized org element. If `true` the element will be included in the disclose.
      Parameters:
        `aOrgInt` - `true` to include the localized org; `false` otherwise.

    - #### setOrgs

          @Deprecated
          public void setOrgs​(java.util.Vector aOrgs)

      Deprecated.
      Use `setOrgInt(boolean)` and `setOrgLoc(boolean)` instead.
      Sets the contact disclose orgs.
      Parameters:
        `aOrgs` - `Vector` of `EPPContactDiscloseOrg` instances to set.

    - #### setRootName

          public void setRootName​(java.lang.String aRootName)

      Set root tag name for contact postal definition.
      Parameters:
        `aRootName` - String

    - #### setVoice

          public void setVoice​(boolean aVoice)

      Set to include the voice element. If `true` the element will be included in the disclose.
      Parameters:
        `aVoice` - `true` to include the voice; `false` otherwise.

    - #### setVoice

          @Deprecated
          public void setVoice​(java.lang.String aVoice)

      Deprecated.
      Use `setVoice(boolean)` instead.
      Sets the contact disclose voice.
      Parameters:
        `aVoice` - `null` to set voice element to `false`; otherwise set voice element to `true`.

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.